%define		_status		beta
%define		_pearname	HTML_Safe
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - strips down dangerous content
Summary(pl.UTF-8):	%{_pearname} - wycinanie niebezpiecznej treści
Name:		php-pear-%{_pearname}
Version:	0.10.1
Release:	3
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	c544f2a49e7313c00c8bc77e79768e68
URL:		http://pear.php.net/package/HTML_Safe/
BuildRequires:	php-pear-PEAR >= 1:1.6
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.1.0
Requires:	php-pear
Requires:	php-pear-XML_HTMLSax3 >= 3.0.0-0.RC1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This parser strips down all potentially dangerous content within HTML.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ten parser wycina wszystkie potencjalne niebezpieczne treści z kodu
HTML.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/HTML/*.php
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> cb9f225
- use php(core) for php engine version deps
- release 2 (by relup.sh)

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> c511106
- tests are no longer installed - don't try to remove them

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> c44fd0f
- updated deps with pearize.sh
- release 2

* Thu Aug 19 2010 Elan Ruusamäe <glen@pld-linux.org> da4714a
- up to 0.10.1

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 79c8230
- rel 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 2605e9a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0d1b471
- converted to UTF-8

* Mon Sep 04 2006 Adam Gołębiowski <adamg@pld-linux.org> d56a0e3
- XML/HTMLSax3 available now

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 00096c9
- BR rpm-build macros >= 1.300 for %pear_ macros

* Tue May 02 2006 Elan Ruusamäe <glen@pld-linux.org> 9c901a1
- 0.9.9-beta

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> e7e7da6
- BR php-pear-PEAR

* Thu Nov 03 2005 Elan Ruusamäe <glen@pld-linux.org> bb646e8
- pearize

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> c78b0a3
- new pear packaging

* Sun Sep 04 2005 Adam Gołębiowski <adamg@pld-linux.org> a7d96fa
- new

